<template>
	<view class="details">
		<view class="zxtop">
			<!-- 风险部 -->
			<view class="failtit" v-if="datainfo.auditType==4">该业务申请未通过审核，可完善信息后进行申诉</view>
			<view class="detop">
				<!-- 归档 归档后没有业务进度-->
				<image :src="gdicoimg" class="gdimg" v-if="datainfo.loanApplicationType==4"></image>
				<block v-else>
					<view class="speed" v-if="checkPermi(['system:schedule:list'])" @click="getSpeedFn" :style="type=='ywjd'?'z-index: 6;':''">
						<image :src="speedimg"></image>
						<view>业务</view>
						<view>进度</view>
					</view>
				</block>
				
				<view class="head">
					<view class="top">
						<view class="toptit">{{datainfo.enterpriseName}}</view>
						<view class="statbox" v-if="datainfo.isNew=='Y'">专精特新<image :src="start"></image></view>
					</view>
					<view class="adr">贷款编号 | {{datainfo.loanApplicationNumber}}</view>
					<view class="adr">企业地址 | {{datainfo.enterpriseName}}</view>
					<view class="adr">申报时间 | {{datainfo.applicationTime}}</view>
					<view class="adr" v-if="datainfo.fileTime">归档时间 | {{datainfo.fileTime}}</view>
				</view>
				<view class="deta">
					<view class="lists">
						<view class="tit">申请额度</view>
						<view class="txt">{{datainfo.applicationAmount}}<text>/万元</text></view>
					</view>
					<view class="lists">
						<view class="tit">使用期限</view>
						<view class="txt">{{datainfo.usagePeriod}}<text>/个月</text></view>
					</view>
					<view class="lists">
						<view class="tit">申贷银行</view>
						<view class="txt">{{kaType(datainfo.applicationBank,sdyhlist)}}</view>
					</view>
					<view class="lists">
						<view class="tit">资金用途</view>
						<view class="txt">{{datainfo.purposeFunds}}</view>
					</view>
					<view class="lists">
						<view class="tit">还款来源</view>
						<view class="txt">{{datainfo.repaymentSource}}</view>
					</view>
					<view class="lists">
						<view class="tit">担保类型</view>
						<view class="txt">{{statusFormats(datainfo.guaranteeType,dblxlist)}}</view>
					</view>
				</view>
			</view>
		</view>
		
		<view class="main">
			<!-- tab -->
			<view class="tabs" :class="fixedflag?'tabfix':''">
				<view v-if="!ite.limit||ite.limit&&checkPermi([ite.limit])"  class="tab" :class="tabval==ite.val?'act':''" v-for="(ite,idx) in tabList" :key="idx" @click="getTab(ite.val)">{{ite.tit}}</view>
			</view>
			<view style="height:116rpx;" v-if="fixedflag"></view>
			<!-- 企业信息 -->
			<view class="mainb" :style="'min-height: ' + minheight + 'px;'">
				<block v-if="tabval==0">
					<aqyxx @getDown="getDown" :qyinfo="qyinfo" :datainfo="datainfo" :basicFj="basicFj" ></aqyxx>
				</block>
				<block v-if="tabval==1">
					<bfrxx @getDown="getDown" :datainfo="datainfo" :yhlxlist="yhlxlist" :hyztlist="hyztlist" :basicFj="basicFj"></bfrxx>
				</block>
				<block v-if="tabval==2">
					<cfdbrxx @getDown="getDown" :datainfo="datainfo" :hyztlist="hyztlist" :basicFj="basicFj"></cfdbrxx>
				</block>
				<block v-if="tabval==3">
					<dfjxx @getDown="getDown" :datainfo="datainfo" :declareFj="declareFj" :sbfjlist="sbfjlist" @getXzFn="getXzFn"></dfjxx>
				</block>
				<block v-if="tabval==4">
					<ewjcj @getDown="getDown" :pfrom="pfrom" @getQmFn="getQmFn" :datainfo="datainfo"  @getDelwjFj="getDelwjFj" @getfjEdit="getfjEdit" :wjcjlist="wjcjlist" :qtfileFj="datainfo.otherFj" :fileFj="datainfo.fileFj"></ewjcj>
				</block>
				<block v-if="tabval==5">
					<fshxx @getDown="getDown" :shjdlist="shjdlist"  :datalist="shlist" ></fshxx>
				</block>
				<!-- 投票结果 -->
				<block v-if="tabval==6">
					<gtpjg :datalist="tplist"></gtpjg>
				</block>
			</view>
			<!-- 法人信息 -->
			
		</view>
		<block v-if="datainfo.loanApplicationType!=4&&tabval!=5&&datainfo.loanApplicationType!=3">
			<view class="h50"></view>
			<view class="footbtns" >
				<!-- (业务进度表查询进度列表)：1：申报提交 stepval 4,7,8,9,没有通过不通过
				2：业务审核/分配 
				3：担保初审 
				4：初审风险合规 
				5：尽职调查 
				6：评审会 
				7：合同签约 
				8：放款合规风险审核 
				9：放款通知 
				10：归档 -->
				
				<!-- 审核进度  auditSchedule
				1：业务审核/分配 
				2：A角色审核 
				3：B角色审核 
				4：风险审核 
				5：初审风险合规 
				6：尽职调查 
				7：上会评审 -->
				<!-- 申请审核 start-->
				<!-- 投票 -->
				<!-- 董事长一键否决 -->
				<view class="fbtns bgb" v-if="checkPermi(['c:conference:finish'])"  @click="getVoteFinish">一键否决</view>
				<block v-if="pfrom=='vote'">
					<view class="fbtns bga" v-if="checkPermi(['c:conference:vote'])&&(datainfo.votingResult==4||datainfo.votingResult==1)"  @click="getShFn('shshtp')">投票</view>
					<!-- 管理员重新投票  只有需要重新投票才会出现 -->
					<view class="fbtns bga" v-if="checkRole(['manager'])&&stepval==6&&datainfo.votingResult==3&&checkPermi(['c:conference:again'])" @click="getShFn('cxtp')">重新投票</view>
				</block>
				<block v-else>
					<view class="fbtns bga" v-if="checkPermi(['system:application:edit'])&&stepval<2" @click="getedit">修改</view>
					<view class="fbtns bgc" v-if="checkPermi(['system:application:remove'])&&stepval<2" @click="getDel">删除</view>
					<!-- 申诉状态除了修改，都不给 -->
					<block v-if="datainfo.auditType!=4&&checkPermi(['system:application:sh'])&&datainfo.loanApplicationType==2">
						<!-- checkRole(['auditing_risk']) 风险角色 -->
						<view class="fbtns bga" v-if="auditSchedule==1" @click="getShFn('sh')">审核</view>
						<view class="fbtns bga" v-if="auditSchedule==4&&datainfo.auditType!=4&&userId==datainfo.fUserId" @click="getShFn('fxsh')">风险审核</view>
						<!-- end -->
						<!-- a,b角按钮 start-->
						<view class="fbtns bga" v-if="userId==datainfo.aUserId&&auditSchedule==6" @click="getShFn('jztcsh')">尽职调查反馈</view>
						<view class="fbtns bga" v-if="userId==datainfo.aUserId&&auditSchedule==2&&datainfo.auditType==1" @click="getShFn('ajssh')">审核</view>
						<view class="fbtns bga" v-if="userId==datainfo.bUserId&&auditSchedule==3" @click="getShFn('bjssh')">审核</view>
					</block>
					
					<!-- 风险上传风险报告 v-if="auditSchedule==6"-->
					<view class="fbtns bga" v-if="auditSchedule==6&&userId==datainfo.fUserId"  @click="getfjEdit('fxbg')">上传风险调查报告</view>
					
					<!-- 审核后 -->
					<!-- 未通过申诉 风险不通过，上会不通过-->
					<!-- 撤销， 业务分配，a,b角撤销 -->
					<!-- 只有上会才有申诉弹窗 -->
					<block v-if="checkPermi(['system:application:ss'])&&datainfo.auditType==4&&(userId==datainfo.aUserId||userId==datainfo.bUserId)">
						<view class="fbtns bga" v-if="stepval==6"  @click="getShFn('sssh')">申诉</view>
						<view class="fbtns bga" v-else  @click="getSsFn">申诉</view>
					</block>
					
					<!-- 回收站，暂存，归档不能撤  项目进度是申报提交-->
					<!-- 撤销，管理员在 a待审核 可以撤，  
						a,b角是自己的时候可以撤
					-->
					
					<!-- end -->
					<!-- 风险部门  start-->
					<block v-if="stepval==4&&userId==datainfo.fUserId">
						<view class="fbtns bgb" v-if="checkPermi(['system:hyperlink:list'])" @click="getMoreFn('wb')">外部工具平台</view>
						<!-- 初审风险审核 -->
						<view class="fbtns bga" @click="getShFn('fxbmsh')" v-if="checkPermi(['system:application:sh'])&&datainfo.auditType!=4">审核</view>
					</block>
					
					<!-- end -->
					<!-- 上会管理员 start -->
					<block v-if="stepval==6&&checkRole(['manager'])&&datainfo.auditType!=4">
						<view class="fbtns bga" v-if="datainfo.reviewSchedule==1" @click="getShFn('shshty')">审核1</view>
						<!-- 专门账号处理商行时间 -->
						<view class="fbtns bga" v-if="datainfo.reviewSchedule==3"  @click="getShFn('shsh')">审核2</view>
						<view class="fbtns bga" v-if="checkPermi(['c:conference:vote'])&&datainfo.reviewSchedule==4&&(datainfo.votingResult==1||datainfo.votingResult==4)" @click="getShFn('shshtp')">投票</view>
					</block>
					<!-- 上会管理员 end -->
					<!-- 合同签约start -->
					<!-- 上传附件 是上传其他 和出具合同的附件-->
					<block v-if="stepval==7">
						<view class="fbtns bga" @click="getMoreFn('htqy')">出具合同</view>
						<!-- <view class="fbtns bgb" @click="getMoreFn('htsc')">上传附件</view>
						<view class="fbtns bgb" @click="getMoreFn('shmore')">更多操作</view> -->
					</block>
					<!-- 合同签约end -->
					<!-- 风险部放款 start 推进，归档-->
					<!-- a角 管理员 判断是否提前了,步骤7之后，并且暂缓了-->
					<block  v-if="stepval==9||stepval==8&&datainfo.aAuthorize=='Y'">
						<view class="fbtns bgb" v-if="checkRole(['manager'])||userId==datainfo.aUserId" @click="getIssureFn(4,'fktzhsh')">放款通知书</view>
					</block>
					<!-- 管理员重新投票  只有需要重新投票才会出现 -->
					<view class="fbtns bga" v-if="checkRole(['manager'])&&stepval==6&&datainfo.votingResult==3&&checkPermi(['c:conference:again'])" @click="getShFn('cxtp')">重新投票</view>
					
					<block v-if="datainfo.auditType!=4">
						<!-- 管理员授权判断是否提前了,步骤7之后，并且暂缓了 -->
						<!-- 管理员 可以让a角 提前开放款通知书，意向函， a角色和管理员给 -->
						<view class="fbtns bgb" v-if="checkPermi(['system:application:authorize'])&&stepval==8&&datainfo.aAuthorize!='Y'" @click="getAuthorize">授权放款通知书</view>
						<view class="fbtns bga" v-if="checkPermi(['system:application:gd'])&&stepval==9" @click="getGdFn">一键归档</view>
						<view class="fbtns bga" v-if="checkPermi(['system:application:schedule'])&&stepval<9&&stepval>6" @click="getXybFn">项目推进</view>
					</block>
					<!-- end -->
					<!-- 所有出具 -->
					<view class="fbtns bgd" v-if="stepval>1" @click="getMoreFn('chuju')">出具</view>
					<!-- 申诉的时候不能撤销 -->
					<!-- <view class="fbtns" :class="auditSchedule==6?'bga':'bgb'" v-if="checkPermi(['system:application:cx'])&&(stepval!=1&&stepval!=10&&(datainfo.auditType!=1||auditSchedule<6&&auditSchedule>2))" @click="getCxFn">撤销</view> -->
					<block v-if="checkPermi(['system:application:cx'])&&stepval!=1&&stepval!=10&&datainfo.auditType!=4">
						<!-- <view class="fbtns bgb" @click="getCxFn">撤销</view> -->
						<view class="fbtns bgb" v-if="userId==datainfo.aUserId&&(auditSchedule==3||auditSchedule>6)" @click="getCxFn">撤销a</view>
						<view class="fbtns bgb" v-if="userId==datainfo.bUserId&&auditSchedule==4" @click="getCxFn">撤销b</view>
						<!-- 风险部撤销 -->
						<view class="fbtns bgb" v-if="userId==datainfo.fUserId&&(auditSchedule==5||stepval==5&&datainfo.auditType==1||stepval==9)" @click="getCxFn">撤销f</view>
						<!-- stepval==6&&reviewSchedule>1 -->
						<view class="fbtns bgb" v-if="checkRole(['manager'])&&(datainfo.auditType!=1||auditSchedule>7||auditSchedule==2||stepval==6&&datainfo.reviewSchedule>1)" @click="getCxFn">撤销g</view>
					</block>
				</block>
				
			</view>
		</block>
		<!-- 更多操作 -->
		<view class="bgbox" @click="getClose" v-if="mtype"></view>
		<view v-if="mtype" class="morebox">
			<view class="molists">
				<!-- 出具信息 -->
				<block v-if="mtype=='chuju'">
					<!-- 管理员业务初审审核后出具担保意向函-->
					<view v-if="(checkRole(['manager'])||userId==datainfo.aUserId)&&auditSchedule>1"  @click="getIssureFn(3,'dbyxh')">出具担保意向函</view>
					<!-- 材料合规 风险部上传 &&checkRole(['auditing_risk']) -->
					<view v-if="stepval==4&&userId==datainfo.fUserId" @click="getIssureFn(13,'clhgb')">出具材料合规表</view>
					<view v-if="stepval==6&&datainfo.reviewSchedule==4" @click="getIssureFn(15,'pshtz')">出具评审会通知</view>
					<block v-if="stepval==7">
						<view  @click="getIssureFn(12,'psyjqpb')">出具评审意见签批表</view>
						<view  @click="getIssureFn(11,'gdhyjy')">出具股东会决议</view>
						<view  @click="getIssureFn(1,'wtdbsqs')">出具委托担保申请书</view>
					</block>
					<!-- 放款合规表 -->
					<block v-if="checkRole(['manager'])||userId==datainfo.fUserId">
						<view class="fbtns bga" v-if="stepval==8||stepval==9&&datainfo.aAuthorize=='Y'" @click="getIssureFn(14,'fkhgb')">出具放款合规表</view>
						<!-- 暂缓出具  备注原因推给管理员-->
						<view class="fbtns bgb" v-if="stepval==8&&checkPermi(['system:application:zanHuan'])" @click="getShFn('zhfkhgb')">暂缓出具放款合规表</view>
						<!-- <view class="fbtns bgb" @click="getfjEdit('fkhgb')">上传附件</view> -->
					</block>
					<view @click="getQtfjEdit('qtfj')">上传其他附件</view>
				</block>
				<!--风险部门 start 外部工具平台 -->
				<block v-if="mtype=='wb'">
					<view v-for="(ite,idx) in linkList" :key="idx" @click="getWebUel(ite.url)">{{ite.name}}</view>
				</block>
				<!-- 风险部门 end -->
				<!-- 上会管理员 start -->
				<block v-if="mtype=='shmore'">
					<view @click="getIssureFn(12,'psyjqpb')">出具评审意见签批表</view>
					<view @click="getIssureFn(11,'gdhyjy')">出具股东会决议</view>
					<!-- <view @click="getfjEdit('psyjqpb')">上传评审意见签批表</view>
					<view @click="getfjEdit('gdhyjy')">上传上会纪要</view> -->
				</block>
				<!-- 上会管理员 end -->
				<!-- 合同签约 start -->
				<!-- 合同上传信息 -->
				<!-- <block v-if="mtype=='htsc'">
					<view @click="getfjEdit('wtdbht')">上传委托保证合同</view>
					<block v-if="datainfo.guaranteeType=='2'">
						<view @click="getfjEdit('bzfdbhtfr')">上传保证反担保合同(法人)</view>
						<view @click="getfjEdit('bzfdbhtzrr')">上传保证反担保合同(自然人)</view>
					</block>
					<block v-if="datainfo.guaranteeType=='1'">
						<view @click="getfjEdit('dyfdbhtfr')">上传抵押反担保合同(法人)</view>
						<view @click="getfjEdit('dyfdbhtzrr')">上传抵押反担保合同(自然人)</view>
					</block>
					<view @click="getQtfjEdit('qtfj')">其他附件</view>
				</block> -->
				<block v-if="mtype=='htqy'">
					<view @click="getIssureFn(2,'wtdbht')">委托保证合同</view>
					<block v-if="datainfo.guaranteeType.indexOf('2')!=-1">
						<view @click="getIssureFn(5,'bzfdbhtfr')">保证反担保合同(法人)</view>
						<view @click="getIssureFn(6,'bzfdbhtzrr')">保证反担保合同(自然人)</view>
					</block>
					<block v-if="datainfo.guaranteeType.indexOf('1')!=-1">
						<view @click="getIssureFn(7,'dyfdbhtfr')">抵押反担保合同(法人)</view>
						<view @click="getIssureFn(8,'dyfdbhtzrr')">抵押反担保合同(自然人)</view>
					</block>
					<block v-if="datainfo.guaranteeType.indexOf('3')!=-1">
						<view @click="getIssureFn(9,'qlzqfdbhtfr')">权利质权反担保合同（适用于法人）</view>
						<view @click="getIssureFn(10,'qlzqfdbhtzrr')">权利质权反担保合同（适用于自然人）</view>
					</block>
					<view @click="getIssureFn(18,'qyxyfdb')">企业信用反担保合同</view>
					<view @click="getIssureFn(17,'wtbzgcly')">委托保证合同(工程履约)</view>
					<view @click="getIssureFn(16,'bkcxgr')">不可撤销个人连带责任信用反担保合同</view>
				</block>
				<!-- 合同签约 end -->
				
			</view>
			<!-- <view class="surbtns" @click="getMoreSure">确认</view> -->
		</view>
		<pop-up :type="type" :startady="daytime" :shtg="shtg" :loanApplicationId="datainfo.loanApplicationId" :loanApplicationNumber="datainfo.loanApplicationNumber" :userList="userList" 
		:stepList="stepList" :wjcjobj='wjcjobj' :qtfjobj="qtfjobj" :stepval="stepval" :fjval="fjval"
		 @getfjAdd="getfjAdd"
		 @getClose="getClose" @getupSubmit="getupSubmit" @getSure="getSure"></pop-up>
	</view>
</template>

<script>
	import config from '@/config'
	const baseUrl = config.baseUrl
	const baseName = config.baseName
	import self from '@/utils/location.js';
	import { getToken } from '@/utils/auth'
	import popUp from "@/work/components/popup/popup.vue"
	import aqyxx from "@/work/components/business/aqyxx.vue"
	import bfrxx from "@/work/components/business/bfrxx.vue"
	import cfdbrxx from "@/work/components/business/cfdbrxx.vue"
	import dfjxx from "@/work/components/business/dfjxx.vue"
	import ewjcj from "@/work/components/business/ewjcj.vue"
	import fshxx from "@/work/components/business/fshxx.vue"
	import gtpjg from "@/work/components/business/gtpjg.vue"
	import {uploadmore,selectValue} from '@/utils/common.js'
	import {getInfo} from "@/api/login.js"
	import {getDictionaryFn} from "@/api/mine/register.js"
	import {getUsernoPageList,getFjAdd,getFjDel} from "@/api/common.js"
	import {getApplicationDet,getScheduleList,getHyperlinkList,getApplicationDel,getApplicationSh,getCommentsList,getApplicationSs,getApplicationCx,getapplicationGd,getapplicationXib,getExportMb,
	getZanHuan,getAuthorize,getReview,getVoteAdd,getcxVoteAdd,getVoteFive,getVoteTimeList,getVoteFinish
	} from "@/api/mine/work.js"
	import { checkPermi, checkRole } from "@/utils/permission"; // 权限判断函数
	export default{
		components:{aqyxx,bfrxx,cfdbrxx,dfjxx,ewjcj,fshxx,gtpjg,popUp},
		data(){
			return{
				start:require('@/work/static/images/start.png'),
				titimg:require('@/work/static/images/infotit.png'),
				speedimg:require('@/work/static/images/speed.png'),
				gdicoimg:require('@/work/static/images/gdico.png'),
				tabval:0,
				type:'',
				tabList:[{tit:"企业信息",val:0},{tit:"法人信息",val:1},{tit:"反担保人信息",val:2},{tit:"附件信息",val:3},{tit:"文件出具",val:4,limit:'system:system:user'},{tit:"审核信息",val:5,limit:'system:system:user'},{tit:"投票结果",val:6,limit:"'system:system:user','c:conference:list:time'"},],
				// tabLists:[{tit:"企业信息",val:0},{tit:"法人信息",val:1},{tit:"反担保人信息",val:2},{tit:"附件信息",val:3}],
				stepList:[],
				stepval:0,
				gdflag:false,
				auditSchedule:'',//审核进度
				mtype:'',
				minheight:0,
				listTop:0,//距离顶部的距离
				fixedflag:false,
				dblxlist:[],
				sdyhlist:[],
				qyinfo:{},//企业信息
				datainfo:{
					// "createBy": "",//
					// "createTime": null,//
					// "updateBy": "",//
					// "updateTime": null,//
					// "remark": null,//
					"loanApplicationId": '',//贷款申请id
					"loanApplicationNumber": "",//贷款申请编号
					"applicationAmount": '',//申请额度(万元)
					"applicationBank": "",//申请银行
					"usagePeriod": "",//使用期限(月)
					"purposeFunds": "",//资金用途
					"repaymentSource": "",//还款来源
					"enterpriseName": "",//企业名称
					'sysUserEnterprise':{},//企业对象具体字段查看营业执照
					"categoryType": "",//行业类型
					"isMake": "N",//是否是制造业 
					"isNew": "N",//是否是精特新
					"isSmall": "N",//是否是小微企业
					"isDuty": "N",//是否是免税企业
					"companyIntroduction": "",//公司简介
					"customerType": "",//用户类型
					"corporationFront": "",//法人身份证正面
					"corporationBack": "",//法人身份证反面
					"corporationName": "",//	法人姓名
					"corporationIdCard": "",//法人身份证号
					"corporationPhone": "",//	法人手机号
					"familyPopulation": "",//家庭人口数
					"corporationJob": "",//法人职业
					"isLoan": "",//有无贷款
					"receivablePay": "",//应收应付款
					"businessSituation": "",//经营情况
					"businessEfficiency": "",//经营效益
					"corporationMaritalStatus": "",//法人婚姻状态
					"spouseFront": "",//配偶身份证正面
					"spouseBack": "",//配偶身份证反面
					"spouseName": "",//配偶姓名
					"spouseIdCard": "",//配偶身份证号
					"spousePhone": "",//配偶手机号
					"guaranteeType": "",//担保类型
					"guaranteeFront": "",//反担保人身份证正面
					"guaranteeBack": "",//反担保人身份证反面
					"guaranteeName": "",//反担保人姓名
					"guaranteeIdCard": "",//反担保人身份证号
					"guaranteePhone": "",//反担保人手机号
					// "guaranteeMaritalStatus": "",//反担保人婚姻状态
					// "guaranteeSpouseFront": "",//反担保人配偶身份证正面
					// "guaranteeSpouseBack": "",//反担保人配偶身份证反面
					// "guaranteeSpouseName": "",//反担保人配偶姓名
					// "guaranteeSpouseIdCard": "",//反担保人配偶身份证号
					// "guaranteeSpousePhone": "",//反担保人配偶手机号
					// "userId": '',//申请人用户ID
					// "idCard": "",//申请人身份证号码
					// "applicationTime": "",//申请时间
					"fileTime": "",//归档时间
					"loanSchedule": "",//贷款申请进度(业务进度表查询进度列表)：1：申报提交2：业务审核/分配 3：担保初审 4：尽职调查 5：初审风险合规 6：评审会 7：合同签约 8：放款合规风险审核 9：放款通知 10：归档
					"loanScheduleName": '',//贷款申请进度名称(中文字)
					"auditSchedule": "",//审核进度1：担保初审 2：A角色审核 3：B角色审核 4：风险审核 5：尽职调查 6：上会评审
					"auditType": "",//审核状态  1：待审核 2：已通过 3：未通过 4:申诉
					"loanApplicationType": "",//贷款申请状态 1：暂存 2：正常 3：回收站 4：归档
					"aUserId": "",//A角色用户ID
					"aUserName": "",//A角色用户名称
					"bUserId": "",//B角色用户ID
					"bUserName": "",//B角色用户名称
					"shareholderFjList": [],//全体股东信息附件
					"loanApplicationFjList": [],//相关附件
					"basicFj": {},//基础附件
					"declareFj": {},//申报附件
					"fileFj": {},//文件出具
					"otherFj": {},//其他附件 key值是type类型 value值具体字段查看相关附件新增
				},
				gdlists:[],//股东信息
				basicFj:{},//基础附件 
				declareFj:{},//申报附件
				yhlxlist:[],//用户类型
				hyztlist:[],//婚姻状态
				sbfjlist:[],//申报附件
				wjcjlist:[],//文件出具
				linkList:[],//外部链接
				userList:[],//用户列表
				shjdlist:[],//审核进度
				shlist:[],//审核信息
				tplist:[],//投票列表
				shinfo:{},//审核信息
				wjcjobj:{},//文件出具对象
				qtfjobj:{'qtfj':"其他附件"},//其他附件
				qtfjlist:[],//其他附件
				fjval:'',//附件类型
				userId:this.$store.state.user.userId,
				iscjflag:false,
				contype:'',//二次确认弹窗
				mval:-1,
				mite:"",
				shtg:'',
				textType:[
					{tit:'文字',val:'w',children:['doc','docx','wps']},
					{tit:'表格',val:'s',children:['xls','xlsx']},
					{tit:'演示',val:'p',children:['ppt','pptx']},
					{tit:'PDF',val:'f',children:['pdf','ofd']},
					{tit:'智能文档',val:'o',children:['otl']},
					{tit:'多维表格',val:'d',children:['dbt']},
				],
				isqiye:true,
				pfrom:'',//vote  从投票来的
				daytime:'',
			}
		},
		onUnload() {
			uni.$off('refreshywlist')
		},
		onLoad(e) {
			this.id=e.id;
			if(e.from){
				this.pfrom=e.from
			}
			this.time()
			uni.$on('refreshywlist',(e) => {
				this.getDetail();
			})
			this.init()
			this.getDetail();
			if(checkPermi(['system:schedule:list'])){
				this.getScheduleList();;//贷款进度
			}
			if(checkPermi(['system:hyperlink:list'])){
				this.getHyperlinkList();//外部链接stepval==4
			}
			if(checkPermi(['system:user:noPageList'])){
				this.getUsernoPageList();//获取用户列表stepval==2||stepval==6
			}
			if(checkPermi(['system:system:user','system:comments:list'])){
				this.getCommentsList()//审核意见
			}
			if(checkPermi(['system:system:user','c:conference:list:time'])){
				this.getVoteTimeList()//投票结果
			}
			// this.getInfolis()
		},
		mounted() {
			var that=this;
			uni.getSystemInfo({
				success: (e) => {
					this.minheight = e.screenHeight- 50;
				}
			})
			setTimeout(function(){
				that.getHeightFn()
			},200)
		},
		onPageScroll(e) {
			var scrollTop = Number(e.scrollTop);
			var listTop=Number(this.listTop)
			if(scrollTop>listTop){
				this.fixedflag=true
			}else{
				this.fixedflag=false
			}
		},
		methods:{
			time() {
				var date = new Date();
				var y = date.getFullYear();
				var m = date.getMonth() + 1;
				var d = date.getDate();
				this.daytime=y + '-' + (m < 10 ? ('0' + m) : m) + '-' + (d < 10 ? ('0' + d) : d);
			},
			checkPermi, checkRole,
			statusFormats(ite,list,type){//多选匹配
				if(ite){
					var actions = [];
					list.forEach(s => {
						if(ite.indexOf(s.value)>-1){
							actions.push(s.label);
						}
					})
					return actions.join(',')
				}else{
					return ''
				}	
			},
			kaType(ite,list){
				return selectValue(list, ite);
			},
			getedit(){
				var obj={
					type:'edit',
					id:this.id,
					val:this.tabval
				}
				this.$tab.navigateTo('/work/pages/business/add?data='+encodeURIComponent(JSON.stringify(obj)))
			},
			// 删除
			getDelwjFj(id){
				var that=this;
				uni.showModal({
					title: '确认删除',
					content: "是否确认删除",
					cancelText: '取消',
					confirmText: '确认',
					success: function(res) {
						if (res.confirm) {
							getFjDel(id).then(res=>{
								if(res.code==200){
									that.$toast("删除成功")
									setTimeout(function(){
										that.getDetail()
									},1200)
									
								}
							})
						} else if (res.cancel) {
						}
					}
				});
			},
			// 出具附件
			// getfjEdit(ite){
			// 	var type=0;
			// 	if(ite=='dbyxh'){
			// 		type=3
			// 	}else if(ite=='fkhgb'){
			// 		type=14
			// 	}else if(ite=='fktzs'){
			// 		type=4
			// 	}else if(ite=='clhgb'){
			// 		type=13
			// 	}else if(ite=='psyjqpb'){
			// 		type=12
			// 	}else if(ite=='gdhyjy'){
			// 		type=11
			// 	}else if(ite=='wtdbht'){
			// 		type=2
			// 	}else if(ite=='bzfdbhtfr'){
			// 		type=5
			// 	}else if(ite=='bzfdbhtzrr'){
			// 		type=6
			// 	}else if(ite=='dyfdbhtfr'){
			// 		type=7
			// 	}else if(ite=='dyfdbhtzrr'){
			// 		type=8
			// 	}else if(ite=='qlzqfdbhtfr'){
			// 		type=9
			// 	}else if(ite=='qlzqfdbhtzrr'){
			// 		type=10
			// 	}
			// 	if(type){
			// 		this.getIssureFn(type,ite)
			// 	}
			// },
			// 上传附件
			getfjEdit(ite){
				this.type='fjadd';
				this.mtype='';
				this.fjval=ite
			},
			getQtfjEdit(val){
				this.type='qtfjadd';
				this.mtype='';
				this.fjval=val
			},
			// 业务进度
			getScheduleList(){
				var params={
					loanApplicationId:this.id
				}
				getScheduleList(params).then(res=>{
					if(res.code==200){
						this.stepList=res.data
					}
				})
			},
			getWebUel(url){
				// this.mval=idx;
				// this.mite=ite
				this.mtype='';
				this.$tab.navigateTo("/pages/common/webview/index?url="+url)
				
			},
			getMoreSure(){
				var mttype=this.mtype;
				var mite=this.mite;
				if(mttype=='wb'){
					this.mtype='';
					this.$tab.navigateTo("/pages/common/webview/index?url="+mite.url)
				}
			},
			// 外部链接
			getHyperlinkList(){
				var params={
					type:1
				}
				getHyperlinkList(params).then(res=>{
					if(res.code==200){
						this.linkList=res.rows
					}
				})
			},
			// 用户-列表
			//用户类型（00系统用户 01注册用户 02管理用户
			getUsernoPageList(){
				var params={
					userType:'02'
				}
				getUsernoPageList(params).then(res=>{
					if(res.code==200){
						this.userList=res.rows
					}
				})
			},
			getCommentsList(){
				var params={
					loanApplicationId:this.id,
				}
				getCommentsList(params).then(res=>{
					if(res.code==200){
						var newArr=res.rows;
						newArr.forEach(ite=>{
							if(ite.imageUrl){
								ite.imageUrl=ite.imageUrl.split(',')
							}
						})
						this.shlist=newArr
					}
				})
			},
			// 投票结果
			getVoteTimeList(){
				var params={
					loanApplicationId:this.id,
				}
				getVoteTimeList(params).then(res=>{
					if(res.code==200){
						var newArr=res.data;
						newArr.forEach(ite=>{
							ite.check=false
						})
						this.tplist=JSON.parse(JSON.stringify(newArr))
					}
				})
			},
			init(){
				// 用户类型
				getDictionaryFn('customer_type').then(res=>{
					if(res.code==200){
						this.yhlxlist = res.data.map(v => {
							return {
								label: v.dictLabel,
								value: v.dictValue
							}
						})
					}
				})
				// 婚姻状况
				getDictionaryFn('marital_status').then(res=>{
					if(res.code==200){
						this.hyztlist = res.data.map(v => {
							return {
								label: v.dictLabel,
								value: v.dictValue
							}
						})
					}
				})
				// 申贷银行
				getDictionaryFn('shendai_bank').then(res=>{
					if(res.code==200){
						this.sdyhlist = res.data.map(v => {
							return {
								label: v.dictLabel,
								value: v.dictValue
							}
						})
					}
				})
				//担保类型
				getDictionaryFn('guarantee_type').then(res=>{
					if(res.code==200){
						this.dblxlist = res.data.map(v => {
							return {
								label: v.dictLabel,
								value: v.dictValue
							}
						})
					}
				})
				// 附件信息
				getDictionaryFn('application_fj_sb').then(res=>{
					if(res.code==200){
						this.sbfjlist = res.data.map(v => {
							return {
								label: v.dictLabel,
								val: v.dictValue,
								fjlist:[]
							}
						})
					}
				})
				// // 文件出具
				getDictionaryFn('application_fj_wjcj').then(res=>{
					if(res.code==200){
						var obj={}
						this.wjcjlist = res.data.map(v => {
							// var key=v.dictValue
							obj[v.dictValue]=v.dictLabel
							return {
								label: v.dictLabel,
								val: v.dictValue,
								fjlist:[]
							}
						})
						this.wjcjobj=obj
					}
				})
				// 其他附件
				// getDictionaryFn('application_fj_other').then(res=>{
				// 	if(res.code==200){
				// 		var obj={}
				// 		this.qtfjlist = res.data.map(v => {
				// 			// var key=v.dictValue
				// 			obj[v.dictValue]=v.dictLabel
				// 			return {
				// 				label: v.dictLabel,
				// 				val: v.dictValue,
				// 				fjlist:[]
				// 			}
				// 		})
				// 		this.qtfjobj=obj
				// 		console.log(obj,1)
				// 	}
				// })
				//审核进度
				getDictionaryFn('audit_schedule').then(res=>{
					if(res.code==200){
						this.shjdlist = res.data.map(v => {
							return {
								label: v.dictLabel,
								value: v.dictValue,
							}
						})
					}
				})
			},
			getTab(val){
				this.tabval=val;
				uni.pageScrollTo({
					scrollTop: Number(this.listTop),
					duration: 0
				})
				if(val==5){
					this.getCommentsList()
				}else if(val==6){
					this.getVoteTimeList();
				}else if(val==4&&this.iscjflag){
					this.iscjflag=false;
					this.getDetail();
				}
			},
			// 出具
			getIssureFn(type,fileType){
				var that=this;
				that.iscjflag=true;
				var params={
					type:type,
					loanApplicationId:this.id,
					fileType:fileType,
					bigType:'c',
				}
				getExportMb(params).then(res=>{
					if(res.code==200){
						var data=res.data;
						var path=data.path;
						var name=data.fileName;
						var fileName = name.replace(/.*(\/|\\)/, ""); // 获得文件名
						var fileSuffix = (/[.]/.exec(fileName)) ? /[^.]+$/.exec(fileName.toLowerCase()) : ''; // 获得文件后缀
						var texthz=fileSuffix[0];
						var type=''
						// 在线编辑
						// 获取后缀
						var textType=that.textType;
						Object.keys(textType).some((key) => {
							if (textType[key].children.indexOf(texthz)!=-1) {
								type=`${textType[key].val}`
								return true;
							}
						})
						data.type=type
						that.$tab.navigateTo('/pages/common/webview/weboffice?data='+encodeURIComponent(JSON.stringify(data)))
					}
				})
			},
			getDownloader(path,name){
				console.log(path,name)
				// #ifdef APP-PLUS
				self.getFilePermissions(function(res){
					if(res==1){
						uni.showLoading({
							title: '加载中'
						});
						var url = baseUrl + path;
						let dtask = plus.downloader.createDownload(url, {
							filename: 'file://storage/emulated/0/'+baseName+'/' + name
						}, (d, status) => {
							//d为下载的文件对象
							if (status == 200) {
								uni.hideLoading();
								uni.showToast({
									icon: 'none',
									mask: true,
									title: '已保存到文件夹：/'+baseName+'/'+ name, //保存路径
									duration: 3000,
								});
								
								//下载成功,d.filename是文件在保存在本地的相对路径，使用下面的API可转为平台绝对路径
								let fileSaveUrl = plus.io.convertLocalFileSystemURL(d.filename);
								setTimeout(() => {
									plus.runtime.openFile(d.filename); //选择软件打开文件
								}, 1500)
							} else {
								//下载失败
								uni.hideLoading();
								plus.downloader.clear(); //清除下载任务
								uni.showToast({
									icon: 'none',
									mask: true,
									title: '下载失败，请稍后重试',
								});
							}
						})
						dtask.start();
					}else{
						uni.hideLoading();
						uni.showToast({
							title: '无法获取权限，文件下载将出错！',
							icon: 'none',
						})
					}			
				})
				// #endif
			},
			getClose(){
				this.type='';
				this.mtype='';
			},
			getupSubmit(data){
				this.shinfo=JSON.parse(JSON.stringify(data))
				var type=this.type;
				if(type=='ajssh'||type=='bjssh'){
					this.contype=this.type
					this.type='confirm'
					this.shtg=data.auditType
				}else if(type=='zhfkhgb'){
					this.getZanHuanFn()
				}else if(type=='shshty'){//上会
					this.getReview()
				}else if(type=='shsh'){//日期
					this.getVoteFive()
				}else if(type=='shshtp'){//投票
					this.getVoteAdd()
				}else if(type=='sssh'){//申诉
					this.getSsshFn()
				}else if(type=='cxtp'){//重新投票
					this.getcxVoteAdd()
				}else{
					this.getApplicationSh()
				}
			},
			getSure(){
				this.getApplicationSh()
			},
			getfjAdd(data){
				var that=this;
				var params=JSON.parse(JSON.stringify(data));
				var fjUrl=params.fjUrl
				// params.loanApplicationId=this.id;
				// params.loanApplicationNumber=this.datainfo.loanApplicationNumber;
				// params.auditSchedule=this.auditSchedule;
				getFjAdd(fjUrl).then(res=>{
					if(res.code==200){
						that.$toast('上传附件成功')
						setTimeout(function(){
							that.getDetail();
							uni.$emit('refreshdatalist')
							that.type=''
						},1200)
					}
				})
			},
			getApplicationSh(){
				var that=this;
				var params=this.shinfo;
				params.loanApplicationId=this.id;
				params.loanApplicationNumber=this.datainfo.loanApplicationNumber;
				params.auditSchedule=this.auditSchedule;
				getApplicationSh(params).then(res=>{
					if(res.code==200){
						that.$toast('审核成功')
						setTimeout(function(){
							that.getDetail();
							uni.$emit('refreshdatalist')
							that.type=''
						},1200)
					}
				})
			},
			// 上会同意接口
			getReview(data){
				var that=this;
				var params=this.shinfo;
				params.loanApplicationId=this.id;
				params.loanApplicationNumber=this.datainfo.loanApplicationNumber;
				params.auditSchedule=this.auditSchedule;
				params.aUserId=this.datainfo.aUserId;
				params.loanSchedule=this.datainfo.loanSchedule;
				params.auditType=this.datainfo.auditType;
				getReview(params).then(res=>{
					if(res.code==200){
						that.$toast('审核成功')
						setTimeout(function(){
							that.getDetail();
							uni.$emit('refreshdatalist')
							that.type=''
						},1200)
					}
				})	
			},
			
			// 上会日期
			getVoteFive(data){
				var that=this;
				var params=this.shinfo;
				params.loanApplicationId=this.id;
				params.loanApplicationNumber=this.datainfo.loanApplicationNumber;
				// params.auditSchedule=this.auditSchedule;
				getVoteFive(params).then(res=>{
					if(res.code==200){
						that.$toast('操作成功')
						setTimeout(function(){
							that.getDetail();
							uni.$emit('refreshdatalist')
							that.type=''
						},1200)
					}
				})	
			},
			// 上会投票
			getVoteAdd(data){
				var that=this;
				var params=this.shinfo;
				params.loanApplicationId=this.id;
				params.loanApplicationNumber=this.datainfo.loanApplicationNumber;
				params.auditSchedule=this.auditSchedule;
				params.conferenceTime=this.datainfo.reviewTime;
				getVoteAdd(params).then(res=>{
					if(res.code==200){
						that.$toast('投票成功')
						setTimeout(function(){
							that.getDetail();
							uni.$emit('refreshdatalist')
							that.type=''
						},1200)
					}
				})	
			},
			// 重新投票
			getcxVoteAdd(){
				var that=this;
				var params=this.shinfo;
				params.loanApplicationId=this.id;
				params.loanApplicationNumber=this.datainfo.loanApplicationNumber;
				// params.auditSchedule=this.auditSchedule;
				getcxVoteAdd(params).then(res=>{
					if(res.code==200){
						that.$toast('操作成功')
						setTimeout(function(){
							that.getDetail();
							uni.$emit('refreshdatalist')
							that.type=''
						},1200)
					}
				})
			},
			// 一票否决
			getVoteFinish(){
				var that=this;
				uni.showModal({
					title: '确认否决',
					content: "是否一键否决该申请",
					cancelText: '取消',
					confirmText: '确认',
					success: function(res) {
						if (res.confirm) {
							var params={
								loanApplicationId:that.id,
							}
							getVoteFinish(params).then(res=>{
								if(res.code==200){
									that.$toast('一票否决成功')
									setTimeout(function(){
										that.getDetail();
										uni.$emit('refreshdatalist')
										that.type=''
									},1200)
								}
							})
						} else if (res.cancel) {
						}
					}
				});
				
			},
			// 申诉
			getSsshFn(data){
				var that=this;
				var params=this.shinfo;
				params.loanApplicationId=this.id;
				params.loanApplicationNumber=this.datainfo.loanApplicationNumber;
				params.auditSchedule=this.auditSchedule;
				params.auditType=this.datainfo.auditType;
				params.aUserId=this.datainfo.aUserId;
				params.bUserId=this.datainfo.bUserId;
				getApplicationSs(params).then(res=>{
					if(res.code==200){
						that.$toast('操作成功')
						setTimeout(function(){
							that.getDetail();
							uni.$emit('refreshdatalist')
							that.type=''
						},1200)
					}
				})	
			},
			// 暂缓出具
			getZanHuanFn(data){
				var that=this;
				var params=this.shinfo;
				params.loanApplicationId=this.id;
				params.loanApplicationNumber=this.datainfo.loanApplicationNumber;
				params.aUserId=this.datainfo.aUserId;
				params.enterpriseName=this.datainfo.enterpriseName;
				getZanHuan(params).then(res=>{
					if(res.code==200){
						that.$toast('暂缓成功')
						setTimeout(function(){
							that.getDetail();
							uni.$emit('refreshdatalist')
							that.type=''
						},1200)
					}
				})	
			},
			//授权
			getAuthorize(data){
				var that=this;
				uni.showModal({
					title: '确认授权',
					content: "是否授权A角提前开放款通知书？",
					cancelText: '取消',
					confirmText: '确认',
					success: function(res) {
						if (res.confirm) {
							var params={};
							params.loanApplicationId=that.id;
							params.loanApplicationNumber=that.datainfo.loanApplicationNumber;
							getAuthorize(params).then(res=>{
								if(res.code==200){
									that.$toast('授权成功')
									setTimeout(function(){
										that.getDetail();
										uni.$emit('refreshdatalist')
										that.type=''
									},1200)
								}
							})	
						} else if (res.cancel) {
						}
					}
				});
			},
			getShFn(type){
				this.type=type;
				this.mtype='';
			},
			getSsFn(){
				var that=this;
				var datainfo=JSON.parse(JSON.stringify(this.datainfo))
				uni.showModal({
					title: '确认申诉',
					content: "是否确认申诉",
					cancelText: '取消',
					confirmText: '确认',
					success: function(res) {
						if (res.confirm) {
							var params={
								loanApplicationId:that.id,
								loanApplicationNumber:datainfo.loanApplicationNumber,
								aUserId:datainfo.aUserId,
								bUserId:datainfo.bUserId,
								auditType:datainfo.auditType,
								ssType:1,
							}
							getApplicationSs(params).then(res=>{
								if(res.code==200){
									that.$toast("申诉成功")
									setTimeout(function(){
										that.getDetail();
										uni.$emit('refreshdatalist')
									},1200)
									
								}
							})
						} else if (res.cancel) {
						}
					}
				});
			},
			getCxFn(){
				var that=this;
				var datainfo=JSON.parse(JSON.stringify(this.datainfo))
				uni.showModal({
					title: '确认撤销',
					content: "是否确认撤销",
					cancelText: '取消',
					confirmText: '确认',
					success: function(res) {
						if (res.confirm) {
							that.mtype=''
							var params={
								loanApplicationId:that.id,
								loanApplicationNumber:datainfo.loanApplicationNumber,
								auditSchedule:that.auditSchedule,
								loanSchedule:datainfo.loanSchedule,
								loanApplicationType:datainfo.loanApplicationType,
								auditType:datainfo.auditType,
								reviewSchedule:datainfo.reviewSchedule,
								aUserId:datainfo.aUserId,
								bUserId:datainfo.bUserId,
								fUserId:datainfo.fUserId,
							}
							getApplicationCx(params).then(res=>{
								if(res.code==200){
									that.$toast("撤销成功")
									setTimeout(function(){
										uni.$emit('refreshywlist')
										// uni.navigateBack({
										// 	delta:1
										// })
									},1200)
									
								}
							})
						} else if (res.cancel) {
						}
					}
				});
			},
			getXybFn(){
				var that=this;
				uni.showModal({
					title: '确认推进',
					content: "是否确认推进",
					cancelText: '取消',
					confirmText: '确认',
					success: function(res) {
						if (res.confirm) {
							var params={
								loanApplicationId:that.id,
								auditSchedule:that.auditSchedule,
								loanSchedule:that.datainfo.loanSchedule,
								aUserId:that.datainfo.aUserId,
								loanApplicationNumber:that.datainfo.loanApplicationNumber,
								enterpriseName:that.datainfo.enterpriseName,
							}
							getapplicationXib(params).then(res=>{
								if(res.code==200){
									that.$toast("推进成功")
									setTimeout(function(){
										uni.$emit('refreshywlist')
									},1200)
									
								}
							})
						} else if (res.cancel) {
						}
					}
				});
			},
			getGdFn(){
				var that=this;
				uni.showModal({
					title: '确认归档',
					content: "是否确认归档",
					cancelText: '取消',
					confirmText: '确认',
					success: function(res) {
						if (res.confirm) {
							var params={
								loanApplicationId:that.id,
								auditSchedule:that.auditSchedule,
								loanSchedule:that.datainfo.loanSchedule,
								loanApplicationType:that.datainfo.loanApplicationType,
								loanApplicationNumber:that.datainfo.loanApplicationNumber,
								auditType:that.datainfo.auditType
							}
							getapplicationGd(params).then(res=>{
								if(res.code==200){
									that.$toast("归档成功")
									setTimeout(function(){
										uni.$emit('refreshywlist')
										// uni.navigateBack({
										// 	delta:1
										// })
									},1200)
									
								}
							})
						} else if (res.cancel) {
						}
					}
				});
			},
			getMoreFn(type){
				this.mtype=type;
				this.mval=-1;
				this.mtit=''
			},
			getSpeedFn(){
				if(this.type){
					this.type=''
				}else{
					this.type='ywjd'
				}
			},
			getQmFn(url){
				this.$tab.navigateTo("/work/pages/business/sign?url="+encodeURIComponent(JSON.stringify(url)))
			},
			getDel(){
				var that=this;
				uni.showModal({
					title: '确认删除',
					content: "是否确认删除",
					cancelText: '取消',
					confirmText: '确认',
					success: function(res) {
						if (res.confirm) {
							getApplicationDel(that.id).then(res=>{
								if(res.code==200){
									that.$toast("删除成功")
									setTimeout(function(){
										uni.$emit('refreshdatalist')
										uni.navigateBack({
											delta:1
										})
									},1200)
									
								}
							})
						} else if (res.cancel) {
						}
					}
				});
			},
			getDetail(){
				getApplicationDet(this.id).then(res=>{
					if(res.code==200){
						this.datainfo=res.data;
						this.auditSchedule=res.data.auditSchedule
						if(res.data.sysUserEnterprise){
							this.qyinfo=res.data.sysUserEnterprise
						}
						if(res.data.basicFj){
							// 数据处理
							var basicFj=res.data.basicFj;
							Object.keys(basicFj).some((key) => {
								// a,b里面的全部都转pdf了
								basicFj[key]=basicFj[key].filter((ite) => {
									return ite.remark==1||this.getFilterFj(ite.url);
								})
								// 公司章程,企业征信,企业法人，实际控股人，配偶征信,个人征信,反担保企业征信
								// if(key=='gszc'||key=='sqqyzxbg'||key=='glqyzxbg'||key=='qyfrzxbg'||key=='sjkgrzxbg'||key=='sjkgrpozxbg'||key=='fdbrgrzxbg'||key=='fdbqyzx'){
								// 	basicFj[key]=basicFj[key].filter((ite) => {
								// 		return ite.remark==1||this.getFilterFj(ite.url);
								// 	})
								// }
							})
							this.basicFj=JSON.parse(JSON.stringify(basicFj));
						}
						if(res.data.declareFj){
							// 数据处理
							var declareFj=res.data.declareFj;
							Object.keys(declareFj).some((key) => {
								// a,b里面的全部都转pdf了
								declareFj[key]=declareFj[key].filter((ite) => {
									return ite.remark==1||this.getFilterFj(ite.url);
								})
							})
							this.declareFj=JSON.parse(JSON.stringify(declareFj));
						}
						this.stepval=res.data.loanSchedule||0;
						// var auditSchedule=res.data.auditSchedule
						// if(checkPermi(['system:hyperlink:list'])&&auditSchedule==5){
						// 	this.getHyperlinkList();//外部链接stepval==4
						// }else if(auditSchedule==1||auditSchedule==7){
						// 	if(checkPermi(['system:user:noPageList'])){
						// 		this.getUsernoPageList();//获取用户列表stepval==2||stepval==6
						// 	}
						// }
					}
				})
			},
			// 数据处理
			getFilterFj(url){
				let index1 = url.lastIndexOf("."); // 得到一个索引值
				let index2 = url.length;
				let type = url.substring(index1, index2);
				if ((type.indexOf('jpg') >-1 || type.indexOf('jpeg') > -1 || type.indexOf('png') > -1)) {
					return false
				}else{
					return true
				}
			},
			getHeightFn(){
				let query = uni.createSelectorQuery().in(this);
				//需要给黄色区域设置一个id标识，在这里是demo
				query.select('.zxtop').boundingClientRect(data => {
					this.listTop = data.height//赋值，待会要用
				}).exec();
			},
			getPreview(url) {
				var newArr=[];
				newArr.push(url)
				uni.previewImage({
					urls: newArr,
					current:0,
					success: function(data) {
						
					},
					fail: function(err) {
						
					}
				});
			},
			onuploadEnd(item) {
				var newobj={}
				var responseText=JSON.parse(item.responseText)
				newobj.name=responseText.originalFilename;
				newobj.url=responseText.fileName;
				this.filelist.push(newobj)
				// this.datainfo.zsyzFjList=JSON.parse(JSON.stringify(this.filelist))
			},
			getXzFn(ite){
				this.getDownloader(ite.url,ite.name)
			},
			getDown(e){
				uni.showLoading({
					title: '加载中'
				});
				var url=baseUrl+e;
				let index1 = e.lastIndexOf("."); // 得到一个索引值
				let index2 = e.length;
				let type = e.substring(index1, index2);
				if ((type.indexOf('jpg') > -1 || type.indexOf('jpeg') > -1 || type.indexOf('png') > -1)) {
					uni.previewImage({
						current: 0,
						urls: [url],
						// background: '#ffffff'
					});
					uni.hideLoading();
				} else {
				uni.downloadFile({
					url: url,//文件的下载路径
					success(result) {
							uni.hideLoading()
						var filePath = result.tempFilePath;
						   uni.openDocument({
						     filePath: filePath,
						     showMenu: true,
						     success: function (res) {
						       // console.log('打开文档成功');
						     }
						   });
					},
					fail(res) {uni.hideLoading()}
				})
				}
			},
		}
	}
</script>

<style lang="scss" scoped>
.failtit{background: #FFECEC;font-weight: 500;font-size: 26rpx;color: #FF6969;text-align: center;line-height: 36rpx;padding: 22rpx;}
.zxtop{padding-bottom: 2rpx;}
.detop{background: #FFFFFF;padding:0rpx 24rpx;margin-bottom: 28rpx;flex: 0 0 auto;
	position: relative;
	.head{
		padding: 40rpx 2rpx;border-bottom: 2rpx solid #E6E6E6;
		.top{display: flex;align-items: center;overflow: hidden;
			.toptit{font-weight: bold;font-size: 40rpx;color: #222327;}
			.statbox{min-width: 140rpx;height: 36rpx;background-color: rgba(255,177,50,0.3);padding: 0 14rpx;box-sizing: border-box;font-weight: bold;font-size: 22rpx;color: #FF6924;display: flex;align-items: center;flex: 0 0 auto;border-radius: 10rpx;margin-left: 34rpx;
				image{width: 22rpx;height: 22rpx;margin-left: 6rpx;}
			}	
		}
		.adr{font-weight: 500;font-size: 26rpx;color: #666666;margin-top: 12rpx;}
	}
	.deta{display: flex;flex-wrap: wrap;padding: 16rpx 0 28rpx;
		.lists{padding:20rpx 0;width: 33.3%;display: flex;flex-direction: column;align-items: center;position: relative;
			&::after{width: 2rpx;height: 60rpx;background: #E6E6E6;content: '';position: absolute;right: 0;top: 50%;margin-top: -30rpx;}
			&:nth-of-type(3n){
				&::after{display: none;}
			}
			.tit{font-weight: 500;font-size: 26rpx;color: #AAAAAA;margin-bottom: 38rpx;}
			.txt{font-weight: bold;font-size: 30rpx;color: #222327;padding: 0 10rpx;
				text{font-size: 26rpx;color: #666666;font-weight: normal;}
			}
		}
	}
}
.details{
	// display: flex;flex-direction: column;height: 100vh;overflow: hidden;
}
.main{background-color: #FFFFFF;flex: 1;display: flex;flex-direction: column;overflow: hidden;
	.tabs{padding: 0 6rpx 0 36rpx;display: flex;flex-wrap: nowrap;overflow: auto;flex: 0 0 auto;
		&.tabfix{position: fixed;left: 0;right: 0;z-index: 2;top: 0;background-color: #ffffff;border-bottom: 2rpx solid #E6E6E6;}
		.tab{font-weight: 500;font-size: 26rpx;color: #666666;height: 116rpx;display: flex;align-items: center;margin-right: 26rpx;flex: 0 0 auto;position: relative;
			&.act{color: #00A9F0;font-weight: bold;
				&::after{width: 100%;background: #00A9F0;position: absolute;left: 0;bottom: 0;
border-radius: 2rpx;height: 4rpx;content: '';}
			}
		}
	}
	.mainb{flex: 1;overflow: auto;}
}
.speed{width: 96rpx;height: 140rpx;background: #FFFFFF;box-shadow: 0px 0px 14rpx 0px rgba(184,184,184,0.76);border-radius: 20rpx;
	display: flex;align-items: center;flex-direction: column;justify-content: center;
	position: absolute;right: 28rpx;top: 86rpx;z-index: 2;padding: 0 6rpx; 
	image{width: 26rpx;height: 28rpx;margin-bottom: 8rpx;}
	view{font-weight: 500;font-size: 22rpx;color: #666666;}
}
.gdimg{width: 110rpx;height: 86rpx;position: absolute;right: 40rpx;top: 130rpx;}
// 
.footbtns{width: 100%;height: 100rpx;position: fixed;left: 0;right: 0;bottom: 0;display: flex;
	.fbtns{flex: 1;height: 100rpx;font-weight: bold;font-size: 30rpx;display: flex;align-items: center;justify-content: center;border-top: 2rpx solid #E6E6E6;box-sizing: border-box;
		&.bga{background: $com-cd3;color: #FFFFFF;}
		&.bgb{background: #FFFFFF;color: $com-cd3;}
		&.bgc{background: #DF0303;color: #FFFFFF;}
		&.bgd{background: #45cb99;color: #FFFFFF;}
	}	
}
.morebox{
	position: fixed;left: 0;right: 0;bottom: 0;z-index: 10;
	.molists{
		view{width: 100%;background: #ffffff;font-weight: 500;font-size: 30rpx;color: #222327;border-bottom: 2rpx solid #E6E6E6;min-height: 100rpx;display: flex;align-items: center;justify-content: center;padding: 10rpx;
		box-sizing: border-box;
		 &.mcoa{color: #00A9F0;}
		}
	}
	.surbtns{
		width: 100%;height: 100rpx;background: #00A9F0;display: flex;align-items: center;justify-content: center;
		font-size: 30rpx;color: #ffffff;margin-top: 24rpx;
	}
}
</style>